import json
from locust import TaskSet, task, HttpUser


class PerformanceTests(TaskSet):
    def on_start(self):
        resp = self.client.post(
            "/user/login", json={"username": "admin", "password": "12345678"}
        )
        self.client.headers = {
            "Authorization": "Bearer " + json.loads(resp._content)["access_token"]
        }

    @task(1)
    def testFastApi(self):
        self.client.get("/lb/dashboard/acpi/vm/1/")

    @task(2)
    def testRRLoadBalancerLease(self):
        self.client.get("/lb/dashboard/acpi/lease")

    @task(2)
    def testRRLoadBalancerVMAll(self):
        self.client.get("/lb/dashboard/acpi/vm")


class WebsiteUser(HttpUser):
    tasks = [PerformanceTests]
